CREATE TABLE "Dipendenti" (
	"Nome"			varchar(50),
	"Cognome"		varchar(50),
	"Sesso"			varchar(1),
	"Data di nascita"	date,
	"CF"			varchar(16),
	"Città"			varchar(30),
	"Via"			varchar(40),
	"Civico"		varchar(10),
	"CAP"			varchar(5),
	"Stipendio"		real,
	"Supervisore"		varchar(16),
	"Dipartimento nome"	varchar(100),
	"Dipartimento sede"	varchar(30),
	PRIMARY KEY ("CF"),
	FOREIGN KEY ("Dipartimento nome", "Dipartimento sede")
	   REFERENCES "Dipartimenti"("Nome", "Città"),
	CHECK ("Stipendio" > 0),
	CHECK (("Sesso" = 'F') OR ("Sesso" = 'M'))
);

CREATE TABLE "Dipartimenti" (
	"Nome"			varchar(100),
	"Direttore"		varchar(16),
	"Città"			varchar(30),
	"Via"			varchar(40),
	"Civico"		varchar(10),
	"CAP"			varchar(5),
	PRIMARY KEY ("Nome", "Città"),
	FOREIGN KEY ("Direttore")
	   REFERENCES "Dipendenti"("CF")
);

CREATE TABLE "Progetti" (
	"Nome"			varchar(100),
	"Codice"		integer,
	"Dipartimento nome"	varchar(100),
	"Dipartimento sede"	varchar(30),
	PRIMARY KEY ("Codice"),
	FOREIGN KEY ("Dipartimento nome", "Dipartimento sede")
	   REFERENCES "Dipartimenti"("Nome", "Città"),
	CHECK ("Codice" > 0)
);

CREATE TABLE "Dipendenti-Progetti" (
	"Dipendente"	varchar(16),
	"Progetto"	integer,
	PRIMARY KEY ("Dipendente", "Progetto")
);
