CREATE TABLE "Dischi" (
	"Titolo"		varchar(100),
	"Codice"		varchar(13),
	"Anno incisione"	integer,
	PRIMARY KEY ("Codice"),
	CHECK ("Anno incisione" >= 1970)
);

CREATE TABLE "Brani" (
	"Titolo"	varchar(100),
	"Minuti"	integer,
	"Secondi"	integer,
	"Disco"		varchar(13),
	PRIMARY KEY ("Titolo", "Disco"),
	FOREIGN KEY ("Disco")
	   REFERENCES "Dischi"("Codice")
	CHECK ("Minuti" >= 0 AND "Minuti" <= 59),
	CHECK ("Secondi" >= 0 AND "Secondi" <= 59),
	CHECK (("Minuti" > 0) OR ("Secondi" > 0))
);

CREATE TABLE "Autori" (
	"Nome"			varchar(50),
	"Cognome"		varchar(50),
	"Data di nascita"	date,
	"Nome d'arte"		varchar(50),
	PRIMARY KEY ("Nome d'arte")
);

CREATE TABLE "Incide" (
	"Disco"		varchar(13),
	"Autore"	varchar(50),
	PRIMARY KEY ("Disco", "Autore"),
	FOREIGN KEY ("Disco")
	   REFERENCES "Dischi"("Codice"),
	FOREIGN KEY ("Autore")
	   REFERENCES "Autori"("Nome d'arte")
);
