CREATE  TABLE  "Studenti" (
 	"Cognome"		varchar(50),
 	"Nome"			varchar(50),
 	"Matricola"		varchar(5),
 	"Data di nascita"	date,
 	"Codice fiscale"	varchar(16),
 	UNIQUE ("Codice fiscale"),
 	PRIMARY KEY ("Matricola") 
);


CREATE  TABLE  "Insegnamenti" (
 	"Nome"		varchar(50),
 	"Crediti"	int,
 	"Codice"	varchar(5),
 	PRIMARY KEY ("Codice") ,
	CHECK ("Crediti" > 0)
);

CREATE TABLE "Piani di studi" (
	"Studente"	varchar(50),
	"Insegnamento"	varchar(5),
	PRIMARY KEY ("Studente", "Insegnamento")
);


CREATE TABLE "Esami" (
 	"Voto"		integer,
 	"Lode"		boolean,
 	"Data"		date,
 	"Studente"	varchar(5),
 	"Insegnamento"	varchar(5),
 	PRIMARY KEY ("Studente", "Insegnamento", "Data"),
 	FOREIGN KEY ("Studente")
	   REFERENCES "Studenti"("Matricola"),
 	FOREIGN KEY ("Insegnamento")
	   REFERENCES "Insegnamenti"("Codice"),
 	CHECK ("Voto" >= 18 AND "Voto" <= 30),
 	CHECK (NOT ("Voto" < 30 AND "Lode" = TRUE))
);
